Introduction

 Return to chapter overview

EMCO UnLock IT is a neat free utility that helps you to take control of any file or folder when it is locked by some application or system. For every locked resource, you get a list of locking processes and can unlock it by terminating those processes. EMCO UnLock IT offers Windows Explorer integration that allows unlocking files and folders by one click in the context menu.

You can't change, move or delete a file because Windows says that it is used by another application? This is a typical situation when it's hard to decide what to do without additional assistance. Windows only suggests closing all applications that may be using the file, but it's not clear what specific applications are meant. Often, a computer reboot is the only way out in such a situation, but, in some cases, even a reboot cannot resolve the problem. What to do in this case? Is there any effective method of handling locked files and folders without a reboot?

EMCO UnLock IT was created to reveal the magic of file and folder locking. First of all, for every locked resource, it enables you to see a list of processes that control it. Having detailed information about the processes, you can identify respective applications and close them down in a natural way by following all required procedures, such as saving opened files, etc. Alternatively, you can force termination of the locking processes directly from UnLock IT to unlock the resource immediately. This approach can be helpful when you remove any viruses or spyware that grabbed control of your files.

Key Features and Benefits

EMCO UnLock IT is a tool that allows you to forget about problems with locked files. Start using it now and benefit from the following set of features:

  • Detection of processes that hold locks for selected files or folders. Display detailed information for every process: name, owner and full path.
  • One-click unlock by termination of the locking processes directly from UnLock IT.
  • Ability to terminate viruses, trojans and other spyware processes that are protected from termination.
  • Integration into Windows Explorer, which allows executing UnLock IT for any resource from the context menu.
  • Modern, intuitive, easy-to-use and nice-looking interface.
  • Automatic updates. You will be notified when a new version is released. If you want to have the most recent version, the update module will automatically download and install files that should be updated.


Program Interface Overview

Let's take a look at the main program window to familiarize with the user interface. As you can see, the program is based on the Ribbon interface and has a few functionality areas [image] .

Main program window

Pic 1. Main program window

At the top of the main screen, you can find the Ribbon bar A that provides access to the main program actions. It consists of several pages, so you can switch between them get access to different groups of actions.

The main area is occupied with the Resources view B. This view shows file system resources currently operated by UnLock IT, so you can check them for being locked, unlock and delete resources. At the bottom of the Resources view the Details Pane C is located. It displays locks summary for the selected resource.

If you need information about all the executed operations, you can find it in the Log view D. It also contains important troubleshooting information in case of any errors. The Operations view E is designed to show you the detailed progress information on each operation executed at the moment and allows you to cancel each one. The status bar F shows you the number of entries that are locking the file or folder and provides you with the option to integrate UnLock IT functions into the Windows Explorer context menu.

What's inside

Resources View

Log View

Operations View

Graphical User Interface features


Resources View

The Resources view occupies the main zone of UnLock IT main window [image] . It is used to display the file system resources currently operated by the program and their statuses. It is possible to paste or drop files and folders to this area to check them for being locked.

The Resources area

Pic 1. The Resources view

The icons next to every item are used to describe the resource's type and status. The following set of icons is used for resource type:

Folder | - | the resource is a folder;
File | - | the resource is a file.

The files and folders that will be deleted at boot time are marked with the asterisk overlay ( *).

As for the status, the following set of icons is used:

Unknown | - | the status for the resource is not determined yet;
Processing | - | the status for operation processing;
Locked | - | the resource is locked;
Unlocked | - | the resource is not locked;
Inoperable | - | the resource is currently inoperable (the program is unable to check, unlock and delete it).

For each resource, in case it is locked, you can find details of its locks in the Details pane located at the bottom of Resources view. Select a locked resource and see a summary of its locks in the Details pane. To get more detailed information about the locks, click Locks Details in the context menu of the resource.

Using the pop-up menu actions or buttons, displayed when you hover a mouse over a resource in the Resources view, you can recheck the resources for being locked, unlock them or delete. Also it is possible to open the resource path in Explorer.


Log View

Show/Hide Hidden Sections

The log is designed to store information on the events taking place during the program execution. The larger part of this information consists of events generated by the operations. The purpose of this chapter is to help you understand the log.

The Log view

Pic 1. The Log view

The Log view is located by default at the bottom of the UnLock IT main window and displays the log in form of a tree [image] . The description for any logged event is wrapped, so that you can easily read it. If you would like to have more events visible at the same time, you can configure the Log view to display only one line per event by disabling the Wrap Description option from the pop-up menu.

Every event in the log is assigned a severity level represented by a certain icon. The icon allows you to see if any problem has occurred without reading the description. The following icons are available:

Info | - | the blue icon with an 'i' character means that everything is OK;
Cancel | - | the brown circle icon with a cross-cut line is used to identify that the operation was canceled by user or due to shutdown of the underlying system;
Warning | - | the yellow icon with an exclamation mark is the warning sign: it tells you that some errors have occurred, but they are not critical. In such a case, there is no guarantee that the operation has actually succeeded;
Error | - | the red icon with a white cross is the error sign: it means that the operation execution has failed.

Analyzing the log can help you a lot in your everyday work with UnLock IT, because it contains all the information on the executed operations and provides you with troubleshooting recommendations in case any problems are detected.

Show/Hide Toolbar Overview

Export | Export The Export button should be used to export the log to a CSV file.
Clear | Clear The Clear button should be used to delete all the logged events from the program database.
Full Expand | Full Expand The Full Expand button from the Log view toolbar should be used to expand all nodes in the table of logged events.
Full Collapse | Full Collapse The Full Collapse button from the Log view toolbar should be used to collapse all nodes in the table of logged events.

The options of clearing the log, expanding nodes in the tree of logged events and collapsing them are also available from the pop-up menu of the Log view.

The layout of the Log view, including the visible columns, the column widths, the sorting settings, the descriptions wrapping and the details pane visibility, can be easily reset to the initial defaults by choosing the Reset Layout option from the view menu.


Operations View

The Operations view [image] shows the detailed progress of each operation being performed at the moment and allows canceling a particular operation or all running operations. By default, it is located at the bottom of the UnLock IT main window.

The Operations view

Pic 1. The Operations view

Progress information for every operation is shown in the pane with the progress bar, the operation information text and the Cancel button. The Cancel button is used to cancel individual running operations, whereas if the grouping operation is canceled, all the sub-operations are also canceled.

Cancel All

Cancel All

The Cancel All button from the Operations view toolbar can be used to cancel all the operations running in the application.

You can cancel all the running operations by clicking the Cancel All button on the toolbar of the Operations view.


Graphical User Interface features

EMCO Software provides you with a modern and intuitive graphical user interface, because we appreciate the users of our products and would like them to feel glad that they have EMCO programs installed on their PCs. Lots of resources were involved in creating this kind of an interface for you, and now we are proud we have done it. Custom DPI settings are fully supported, so that you can use EMCO programs on any display with any resolution you like. The 'Microsoft User Interface Guidelines on Layout, Icons and Sizing' have been a powerful base for this work, and we are glad to tell you that they are fully complied with and supported. With the help of the skinning support and the Ribbon UI interface, every customer can configure the program UI to feel comfortable during each working day. EMCO also provides you with the High Contrast skin along with the bonus skins pack, which is an accessibility feature designed for people with vision impairment. The High Contrast color scheme can increase legibility for some users by heightening the screen contrast with alternative color combinations.

This chapter gives you a detailed description of how to fully enjoy the graphical user interface features, the skinning mechanism and the Ribbon bar features.

What's Inside

Skinning

Ribbon

Main features of UI Elements


Skinning

Show/Hide Hidden Sections

UnLock IT provides you with a wide range of custom skins with unique look and feel, so that you can choose any skin you like most. If you are a fan of the Microsoft Office interface, you have no reason to complain either, since UnLock IT also gives you an option of choosing this type of skin. There are not only formal skins but also some informal ones.

All the skins can be divided into four groups: Office Skins, Custom Design Skins, Bonus Skins and Skins for Fun. The following skins are available:

Office Skins: | "Office 2019", "Office 2019 Black", "Office 2019 Dark", "Office 2019 White", "Office 2016", "Office 2016 Dark", "Office 2016 Black", "Office 2013", "Office 2013 Silver", "Office 2013 Black", "Office 2010 Blue", "Office 2010 Silver", "Office 2010 Black", "Office 2007 Blue", "Office 2007 Silver", "Office 2007 Black", "Office 2007 Green", "Office 2007 Pink".
Custom Design Skins: | "Dark Style", "Blue Vision", "Blue Vision 2013", "Light Vision 2013", "Dark Vision 2013", "High Contrast", "Metropolis", "Metropolis Dark", "Seven", "Seven Classic", "McSkin", "Blue", "Black".
Bonus Skins: | "Lilian", "iMaginary", "Caramel", "Money Twins", "Sharp", "Sharp Plus", "Foggy", "Darkroom", "Dark Side", "Liquid Sky", "London Liquid Sky", "The Asphalt World", "Glass Oceans", "Stardust", "Coffee", "Blueprint", "Whiteprint".
Skins for Fun: | "Christmas", "Valentine", "Summer", "Springtime".

Let us take a brief look at some of the skins:

Show/Hide Default skin look and feel example

Default

Show/Hide Custom Design Skin look and feel example

Custom Design

Show/Hide Skins for Fun look and feel example

Summer

Show/Hide High Contrast Skin look and feel

High Contrast


Ribbon

Ribbon is a tool that presents commands organized into a set of tabs. The tabs on the Ribbon represent commands that are most relevant for each of the task areas in the program [image] . For example, in Office Word the tabs group commands by activities such as inserting objects like pictures and tables, doing page layout, working with preferences, doing mailings, and reviewing. The Home tab provides an easy access to the most frequently used commands. Office Excel has a similar set of tabs that make sense for spreadsheet work including tabs for working with formulas, managing data, and reviewing. Those tabs simplify access to the program features, because they organize the commands in a way that reflects the tasks people perform in those programs.

The Ribbon bar

Pic 1. The Ribbon bar

We are delighted to let you know that we fully conform with Microsoft® Ribbons Guidelines and would like to introduce some Ribbon features to you. To learn more about Ribbon, the story of its development and its usability features, you may visit 'The Story of the Ribbon' article from the MSDN blogs.

Application Menu

Application Menu in the program is represented as the Backstage view that can be used as a starting point, configure the program settings or get information about the program. It is somewhat similar to the File menu to most of the programs and can be opened by clicking the Application button [image] located in the top left corner of the main screen.

Backstage view

Pic 2. Backstage view

It contains links to the most helpful actions located under different tabs but made available from one access point.

Quick Access Toolbar

The Quick Access Toolbar [image] is an end-user customizable bar located near the Application Menu or below the Ribbon bar depending on the configuration. It can contain links to both Ribbon items and Ribbon groups.

Quick Access Toolbar

Pic 3. Quick Access Toolbar

To add an action link to the quick access toolbar, right click this action and select Add to Quick Access Toolbar from the pop-up menu. The groups can be added in the same way, the only difference being that to add a group you should right click its caption.

Representation and Navigation Features

The representation of the Ribbon bar can also be configured to make your work more comfortable. You can minimize Ribbon so that the tab's content is only shown when the tab is clicked on, thus extending the program workspace. Also, if it is not convenient for you to have the Quick Access Toolbar next to the Application Menu, you may place it below the Ribbon bar, so that it will look just like a simple toolbar. This configuration can be accessed from the pop-up menu of the Ribbon bar [image] .

The Ribbon customization menu

Pic 4. The Ribbon customization menu

Navigation between the Ribbon tabs can be performed not only with a mouse click on a tab but also with the help of the mouse wheel. Just place the cursor over any tab and scroll the wheel – scrolling up will switch the tabs from right to left, and scrolling down will switch the tabs in the opposite direction.


UI Elements' main features

Main features of UI Elements

The graphics shell used for UnLock IT is aimed at providing a high level of usability to everyone. This topic covers main features of the graphical elements used in this program, and here you can find what puts EMCO GUI a step ahead of the others.

Docking

The UnLock IT user interface is built using the ultimate docking technology which provides for the maximum use of the program working area. It allows docking the windows that are used less often than the main one to the sides, auto hide them or even close and then open again when required. The dock panels can be docked both to the main window and to each other, thus enabling you to build such a subsidiary window layout that makes you feel comfortable while working with UnLock IT [image] .

Docking preview

Pic 1. Docking preview

To change the position of any dock window, you should click its header and move the mouse pointer while holding the left mouse button down. Hint windows are shown to help you understand where you can drop the window dragged. When you are dragging it over another dock window, it is possible to dock both windows to each other or display them in different tabs of the same dock window. When a dock window is floating, you can expand it to full screen by either clicking the Full Screen button in the windows title bar or pressing F11 on the keyboard. To exit the full screen mode, just press F11.

To enable the auto hide feature for a window attached to any side of a main window, click the pin button in the dock window header. Clicking the cross button results in closing of the dock window. Each view can also be closed and opened again using the checkboxes in the Show Ribbon group accessible from the View page.

Grouping and Filtering Data

The UnLock IT user interface is designed so as to make its usage as flexible as possible. The tables available in every EMCO program provide you with an easy-to-use data filtration and grouping mechanism. To group data by one of the columns, you should drag its header to the grouping box displayed over the table or choose an appropriate item from the column header pop-up menu [image] .

The grouping box of a table grouped by two columns

Pic 2. The grouping box of a table grouped by two columns

To group or ungroup data by any column when Group By Box [image] is not visible, you can have it displayed by selecting the Show Group By Box item from the pop-up menu of any column header.

Data filtration can be performed in two ways: by using the quick filter or the filter editor. To use the quick filter feature, just click on the glyph in the right top corner of any column header. A drop-down list appears offering you to choose one of the predefined filters or select the custom one from the filtering dialog [image] .

Accessing the quick filter abilities

Pic 3. Accessing the quick filter abilities

The Filter Editor shipped with UnLock IT is easy to use and allows you to build your own complex filters quickly and easily [image] . To open the filter editor, choose the Filter Editor item from the column's pop-up menu.

Using the filter editor

Pic 4. Using the filter editor

You can enable and disable the currently applied filter condition using the checkbox displayed next to the filter condition in the bottom of the view, inside the filter info pane [image] .

The filter info pane

Pic 5. The filter info pane

To reset the currently applied filter use the X button from the filter info pane, and to customize it use the Customize button from this pane.

Managing Columns in Trees and Tables

You can customize almost every table and tree in EMCO programs by moving and removing columns to make the control most informative for you. To move a column, drag it over the control's header and drop between other columns to its new position [image] .

Moving a column

Pic 6. Moving a column

To remove a column that is of no use for you, right click the control's header and select the Remove This Column item from the pop-up menu. Also, you can control columns availability using the column chooser [image] .

Using the column chooser

Pic 7. Using the column chooser

To show the column chooser, right click the control's header and select the Column Chooser menu item. After that, you can drag and drop columns from the header to the column chooser and backwards.

Automatic Saving and Restoring of Windows Layout

One of the service functions of UnLock IT user interface is its ability to save and restore the windows layout. All the changeable parameters like the windows sizes and positions; the table columns order, sizes and positions; the grouping and filtering options; the dock windows configuration, etc. are saved between sessions. Thus, you do not need to configure the program's user interface layout every time you start this program.


Handling Locked Resources

UnLock IT is designed to help you with the situation you can face at any moment – a file system resource is locked, either by some process using it or because of the incorrectly configured permissions, and you cannot move or delete it. With a help of UnLock IT you can easily detect the cause of the lock on the file system resource and unlock it using features of UnLock IT. This chapter will describe the features available in UnLock IT that allows you to handle the locked resource.

What's inside

Unlocking a File or Folder

Checking a File or Folder for being locked

Deleting a Locked File or Folder

Windows Explorer Integration

Advanced Unlock Options

Command Line Usage


Unlocking a File or Folder

The main goal of UnLock IT is to provide you with an easy-to-use tool for unlocking files and folders that are in use by the processes you are not aware of and for unlocking files and folders that you have lost access to due to incorrect permissions configuration. In this chapter we will show the possible ways of unlocking file system resources.

Unlock

Unlock

The Unlock button from the Unlocker Ribbon group on the Home page should be used to choose the locked files and/or folders to unlock. The drop-down part of the button provides you with the shortcuts for choosing the locked resource directly from the file system browser.

To unlock a file, you should either choose the Unlock File item from the Unlock button drop-down or simply press the Unlock button. The Unlock button is located in the Unlocker Ribbon group on the Home page. The dialog will appear to let you choose the file to unlock. The same approach can be used for unlocking a folder – just choose the Unlock Folder item from the drop-down. In any case, you will reach the Unlock dialog to provide a set of resources to unlock and confirm the operation.

For the resource to be successfully unlocked, all the system resources that are locking it should be closed and the sufficiency of your access to the resource should be assured. Sometimes it is also required to close the processes that hold these resources thus locking the file system item. If not only the system resources should be closed but also a locking process itself should be terminated the confirmation message will appear on the screen, asking if you would like UnLock IT to terminate the locking process. Press Yes to let UnLock IT terminate it or No to close the process manually. See the Advanced Unlock Options section of this document for the detailed information on manual processing of the locked resource.

The results of the unlock operation as soon as it completes become available in the Log view.


Checking a File or Folder for being locked

When you are facing the problem with moving or deleting a file or folder you obviously think that it is locked by some process and in most cases you are right. UnLock IT allows you to check for a file or folder being locked without any serious effort. And if it is really locked you can see the list of processes that lock the resource and unlock it using UnLock IT features. Also UnLock IT will check if you have sufficient access to the resource, and if not, will show you the detailed information on the lack of permissions.

Check

Check

The Check button from the Unlocker Ribbon group on the Home page should be used to choose the files and/or folders to check for being locked. The drop-down part of the button provides you with the shortcuts for choosing the locked resource directly from the file system browser.

To check a file for being locked, you should either choose the Check File item from the Check button drop-down or simply press the Check button. The Check button is located in the Unlocker Ribbon group on the Home page. The dialog will appear to let you choose the file to check. The same approach can be used for checking a folder – just choose the Check Folder item from the drop-down. In any case, you will reach the Check dialog where you can provide a set of resources to check for being locked and confirm the operation. It is also possible to paste or drag and drop a set of file system resources to the Resources view to check them for being locked.

As soon as the check is complete, the operation result is added to the Log view. In case if the file or folder being checked is really locked, its status in the Resources view will be displayed as Locked.

If the resource is not locked, the Unlocked status is displayed for it. When the program is unable to check the resources state, the Inoperable status is assigned to it. In such a case you should check the Log to find out the cause of the issue.

The brief information on a set of locking entries is displayed in the Details pane located at the bottom of the Resources view when a locked resource is selected. For locked resources you can review a list of locking processes, shares and a list of objects with lack of access by clicking the Locks Details item in the context menu. As the result of this action you can see all detected locks and other problems that prevent managing the resource on the Resources Locks dialog. It includes the Processes, Permissions and Shares tabs to display the different types of the locks [image] .

Detailed locks information

Pic 1. Detailed locks information

Processes Locks

It is really useful to review the locking processes list on the Processes tab because this not only gives you an ability to see the processes that lock the resource but also detect the unwanted processes being executed on your PC and locking your files and folders [image] .

Locking processes list

Pic 2. Locking processes list

You can also review detailed information on each process and its modules as you're using the Task Manager. This goal can be reached by right clicking the process you are interested in and selecting the Details item from the pop-up menu. The process properties dialog is displayed on the screen to provide you with the detailed information on the selected process [image] .

Locking process details

Pic 3. Locking process details

Except reviewing a detailed information on each process you can open the location of the selected process and the selected system resources owned by the locking process using the Jump to Explorer context menu item of the locking processes list.

Permissions Locks

In case it is not possible to access or delete files and folders due to incorrect permissions configuration, you can find the details on insufficient access on the Permissions tab. It displays the objects that you do not have control of [image] .

Insufficient permissions

Pic 4. Insufficient permissions

To review the detailed information on each object, you can select in the view and choose the Details item from the pop-up menu. The dialog with the information on permissions defined for the object will be displayed [image] .

Locking permissions configuration

Pic 5. Locking permissions configuration

Like when reviewing information on locking processes, it is also possible to use the Jump to Explorer context menu item for opening the object’s location in Windows Explorer.

Shares Locks

If you share some resources with other users, the shared files and folders are locked and you cannot manage them if created shares are in use. Such types of locks are displayed on the Shares tab [image] .

Locked shares

Pic 6. Locked shares

On the Shares tab you can see paths to the shared resources and users for the shares. Using the context menu action you can close share handles to unlock the locked resources.


Deleting a Locked File or Folder

The main goal of UnLock IT is to provide you with an easy-to-use tool for unlocking files and folders that are in use by the processes, but it also allows you to delete the locked resource immediately after it is unlocked. In this chapter we will show the possible ways of deleting locked file system resources.

Delete

Delete

The Delete button from the Unlocker Ribbon group on the Home page should be used to choose the locked files and/or folders to delete. The drop-down part of the button provides you with the shortcuts for choosing the locked resource directly from the file system browser.

To delete a file, you should either choose the Delete File item from the Delete button drop-down or simply press the Delete button. The Delete button is located in the Unlocker Ribbon group on the Home page. The dialog will appear to let you choose the file to delete. The same approach can be used for deleting a folder – just choose the Delete Folder item from the drop-down. In any case, you will reach the Delete dialog to provide a set of resources to delete and confirm the operation.

For the resource to be successfully deleted, all the system resources that are locking it should be closed and all required permissions should be assigned. Sometimes it is also required to close the processes that hold there resources thus locking the file system item. If not only the system resources should be closed but also a locking process itself should be terminated the confirmation message will appear on the screen, asking if you would like UnLock IT to terminate the locking process. Press Yes to let UnLock IT terminate it or No to close the process manually. See the Advanced Unlock Options section of this document for the detailed information on manual processing of the locked resource.

If it is currently impossible to unlock the resource to delete it, it will be scheduled for deletion at boot time and the prompt for immediate reboot will be displayed on the screen. You can either proceed with immediate reboot, or restart the operating system later, for the resource to be deleted at boot time.

The results of the deletion operation as soon as it completes become available in the Log view.


Windows Explorer Integration

Another useful feature of UnLock IT is that it can be integrated into Windows Explorer context menu so you can ask UnLock IT to help you just at the moment you are facing a problem with moving or deleting a file. Just right click the presumably locked element and either select Unlock menu item from the UnLock IT group to unlock the element immediately, or Check menu item from the UnLock IT group to check it for being locked, or the Delete item from the UnLock IT group to delete it. The product will be started and will automatically perform the requested operation.

Enable integration | Enable integration The Enable Integration button from the Windows Explorer Ribbon group on the Home page and from the status bar should be used to enable accessing UnLock IT actions directly from the Windows Explorer pop-up menu.
Disable integration | Disable integration The Disable Integration button from the Windows Explorer Ribbon group on the Home page and from the status bar should be used to disable UnLock IT integration into Windows Explorer pop-up menu.

To integrate UnLock IT features into the Windows Explorer context menu you can use either the Integrate into Windows Explorer button from the Integration Ribbon group on the Home page or the corresponding button in the status bar.

A message box will be displayed to show you if the integration is enabled successfully. As soon as the option is enabled, you will be able to find the UnLock IT group in the Windows Explorer context menu. The actions from this group instruct UnLock IT to perform the action chosen from the group over the selected file system resource.


Advanced Unlock Options

Along with easy to use unlock features UnLock IT comes with a range of advanced unlocking options. With UnLock IT after checking the resource for being locked you can kill any or all of the locking processes, close library handles and file handles owned by these processes, assign permissions to specific objects to allow access to the locked resource and close file handles for open shares.

If you would like to perform only specific parts of unlocking a resource, such as handles closing, processes termination or granting access to the resource and its children, you need to open the context menu for a locked resource and choose Locks Details to open the dialog with detailed information about resource locks. This dialog consists of multiple tabs where you can find actions to release locks.

Managing Processes Locks

The list of locking processes along with the handles owned by each process can be reviewed on the Processes tab of the Locks Details dialog [image] .

Locking process and system resources owned by it

Pic 1. Locking process and system resources owned by it

You can use the following actions available in the context menu or on the toolbar to manage locking processes.

Close Handles | Close Handles The Close Handles button can be used to close the handles owned by the locking processes In case, the process is selected, all its handles locking the resource is closed, otherwise only the selected handles are closed.
Kill | Kill The Kill Process button allows you to terminate the selected processes.

To terminate a process you should right click it in the processes table and choose Kill Processes menu item from the pop-up menu.

Warning

Killing the locking processes may cause system instability if there are system processes in the locking processes list.

It is possible to close any of the system resources owned by the locking process - just select it in the processes table and choose the Close Handles option in the context menu.

Managing Insufficient Permissions

The issues in permissions configuration that are limiting you access to the files and folders are displayed on the Permissions tab of the Locks Details dialog [image] .

The file system objects with limited access

Pic 2. The file system objects with limited access

You can use the following actions available in the context menu or on the toolbar to manage permissions.

Grant Access

Grant Access

The Grant Access button can be used to configure permissions on the selected objects for granting you full access to those objects.

To grant access to any of these objects, select them in the view and choose the Grant Access menu item.

Managing Shares Locks

The list of open shares that block access to the analyzed resources is displayed on the Shares tab of the Locks Details dialog [image] .

The open shares limiting access to the resources

Pic 3. The open shares limiting access to the resources

You can use the following actions available in the context menu or on the toolbar to manage shares.

Close Share

Close Share

The Close Share button can be used to close file handles for opened shares to unlock the resources.

To unlock the resources, select shared resources in the view and choose the Close Share menu item to close file handles for the selected shares.


Command Line Usage

UnLock IT can be launched using the following command line parameters: UnLockIT.exe [command <resource> [options]] | [/?]

Key | Meaning
command | /check: Check the specified file system resource for being locked. /unlock: Unlock the specified file system resource. /delete: Delete the specified file system resource.
resource | Full path to the locked file system resource, including drive.
options | /quiet: Do not display a message dialog with a result of the requested operation /force: Terminate all locking processes to unlock the object in case if it is still locked after releasing locking system resources. It can only be used in conjunction with the /unlock and /delete commands.
/help | Display help information about command-line usage.

When UnLock IT is launched in a quite the exit code can be analyzed using the following table.

Exit Code | Meaning
100 (0x64) | The resource is unlocked successfully.
101 (0x65) | The resource is locked.
102 (0x66) | The resource is not locked.
103 (0x67) | The program has failed to check the object for being locked.
104 (0x68) | The resource is locked and the program has failed to unlock it.
105 (0x69) | The resource is deleted successfully.
106 (0x6A) | The operating system reboot is required to delete the resource.
107 (0x6B) | The program has failed to delete the resource.
108 (0x6C) | The operation was canceled by the user.
4097 (0x1001) | The invalid command line parameters are passed to the program.
8193 (0x2001) | The program has failed to load a file system driver.
8194 (0x2002) | The program has failed to unload a file system driver.
8195 (0x2003) | The wrong file system driver version is detected.
8196 (0x2004) | The 'Debug' privilege cannot be assigned to the program executable.
8197 (0x2005) | The 'Take Ownership' privilege cannot be assigned to the program executable.
8198 (0x2006) | The 'Restore Privilege' privilege cannot be assigned to the program executable.
8199 (0x2007) | The 'Shut Down' privilege cannot be assigned to the program executable.

Feel free to use the command line support features of UnLock IT to best fit your needs.


Events Logging

The log is designed to store information on the events taking place while the program is running. Most of them are messages sent by the operations and operations results. Such events are displayed in the Log view and can significantly help you to analyze the operation execution results and troubleshoot problems taking place while the program is in use. The log may grow continually, thus slowing down the program loading and response time. To prevent this, it can be cleared manually at any moment.

In this chapter, we will explain how to analyze the log to ensure that the operations are completed successfully or to troubleshoot possible problems and describe the option of exporting the log to a simple format.

What's inside

Analyzing Log

Exporting Log


Analyzing Log

The main purpose of the Log view is to help you understand if the operation execution has succeeded and troubleshoot problems if any have occurred. Each entry in the log has a severity icon, a title and a description. From the title, you can understand which operation has been performed; the description provides you with the result message and a hint on solving the problem, if any; and the severity icon can be used to quickly understand if the operation has fully succeeded.

For example, let us take a closer look at the following result set in the log.

Sample logged events

Pic 1. Sample logged events

The picture above shows the set of result we received after performing an operation. As we can see, most of the logged events are informational, but some stand for problems. We need to find out what caused the problem and what should be done to avoid it in future. In addition, it may be interesting to go through the warnings to see if anything wrong is going on.

After the results have been reviewed and all the problems have been solved, you can run the operation again and ensure that it completes successfully.


Exporting Log

With UnLock IT, you can easily export the log to the CSV file format for future analysis or processing by an automated tool. To export the log, click the Export button from the Log view toolbar or choose the Export item from the pop-up menu. The Export Log dialog will appear on the screen.

Exporting Log

Pic 1. Exporting Log

In the Export Log dialog, you are offered to choose a file you are going to save the logged events to. The file path should be provided to the Export To field. After you are ready with configuring the export, press OK to proceed. The file containing the logged events will be created in the path specified.

The CSV file with the exported data consists of four columns, which are the following:

Column Index | Header | Description
1 | Title | The logged event title (including the path).
2 | Severity | The logged event severity level.
3 | Description | The logged event description.
4 | Time | The time when the event occurred.


Program Preferences

UnLock IT comes with a range of settings available for changing to each user. Every preference page has a detailed description of its content and of the feature it is used to configure. To reach program preferences click the Preferences button available from the Application Menu. Also the clickable Ribbon groups' glyphs open the preference pages that configure the functionality gathered within this group.

What's inside

General Settings

Layouts

Proxy Settings


General Settings Page

UnLock IT can automatically check for updates for you to always have the latest version of the program. You can configure this feature from the General Settings preference page. To open this page, click the Preferences button from the Application Menu and select the General Settings link in the navigation bar on the left in the Preferences dialog within the Miscellaneous group [image] .

Configuring general settings

Pic 1. Configuring general settings

UnLock IT can check for updates automatically every day or once a week. To enable an automatic checking for updates, check the Automatically check for updates option and choose the checking frequency between Daily and Weekly. You can also define if the program should check for major updates by changing the Automatically check for major updates option value.

Info

If you use a proxy server to connect to the Internet and the required proxy settings are not provided, an automatic check for updates will not take place.


Layouts

Layout management technology allows you to configure UnLock IT user interface, save it any time you want and then select between saved layouts to change the appearance without reconfiguring windows positions, sizes, etc.

The Layouts preference page [image] is designed to help you with windows layout management. To access this page click Preferences button from the Application Menu and select the appropriate link in the navigation bar on the left of the Preferences dialog.

Managing Layouts

Pic 1. Managing Layouts

On the Layouts preference page [image] you can create new layout, modify existing one or choose from already saved layouts. Currently active layout is colored gray and cannot be either renamed or deleted.


Proxy Settings Page

UnLock IT requires an Internet connection to support the Live Update and Feedback features. Therefore, if a proxy server has to be used to connect to the Internet, it should be configured on the Proxy Settings preference page [image] . To access this page, click the Preferences button from the Application Menu and select the appropriate link in the navigation bar on the left in the Preferences dialog within the Miscellaneous group.

Proxy Settings

Pic 1. Proxy Settings

On this page [image] , you may choose among three variants of the proxy configuration to be used by the program. If Auto-detect proxy settings for this network is chosen, the program uses the settings predefined in the Internet Explorer. If UnLock IT does not have to use a proxy server to connect to the Internet, the Direct connection to the Internet option should be chosen. The Manual proxy configuration option allows you to provide the proxy server address and port manually.

Both for the automatic detection and manual configuration, it is possible to specify if the proxy server requires authentication and what credentials should be used to connect to the proxy server.


Program Updates

EMCO Software cares for versatile needs of the users of EMCO programs and fully understands their wish to have the most up-to-date software installed on there PCs. That is why we provide you with an easy update feature. You do not need to browse the Internet again and again to find out if any updates are available – UnLock IT will do this work for you. Checking for updates can be performed both manually and automatically. This chapter describes the Live Update process for the current major version of the program and the Major Update feature which allows you to get a brand new version of UnLock IT quickly and easily.

What's Inside

Live Update

Major Update


Live Update

UnLock IT can be easily updated with just a few clicks. The update process is performed via an Internet connection using preconfigured proxy settings.

Check for Updates

Check for Updates

The Check for Updates button from the Update Ribbon group should be used to check for new versions of UnLock IT.

Tip

UnLock IT can check for updates automatically. You can configure the program behavior regarding the automatic check for updates on the General Settings preference page.

To check for updates, click the Check for Updates button from the Application Menu or from the Update group of the Program Ribbon page. UnLock IT will check if any updates are available and if so, the Live Update Wizard [image] will appear on the screen.

The Live Update Wizard welcome page

Pic 1. The Live Update Wizard welcome page

The Live Update Wizard will introduce you to the changes made in the newer version and guide you through the whole updating process while showing the detailed download progress. When the download is finished, the program will be restarted to perform the actual update.


Major Update

Along with the Live Update feature, UnLock IT comes with a built-in function of automatic checking for Major Updates. The Major Update is an update to a brand-new version of UnLock IT that includes a number of significant changes.

You can install this version alongside the version you are using now. It will import the settings and data from your current version, so that you won't need to configure the new version in the same way you configured the one you are using at the moment. Such parallel installation allows you to inspect the new version and compare it with the previous one in your environment with your data and settings.

Info

The Major Update is installed alongside the version you currently use. The existing version is not automatically uninstalled from your PC, and you can continue using the program version you are accustomed to while having a look at the brand new one.

If the program detects availability of a Major Update, the Major Update Wizard [image] will appear on the screen.

The Major Update Wizard welcome page

Pic 1. The Major Update Wizard welcome page

The Major Update Wizard will introduce you to the features available in the brand new version of UnLock IT and guide you through the update process. When the download is finished, the new version installation will be run automatically.


Requirements

Please carefully read and follow all requirements, listed here, or you may not be able to successfully use the product. You can contact our support if you experience a problem during the product use.

System Requirements

Computer running UnLock IT must meet the following requirements:

Minimum Hardware Requirements

  • Intel Core iX Processor or equivalent
  • 4 GB of RAM
  • 2 GB of free disk space

Recommended Hardware Requirements

  • 6th Gen Intel Core iX Processor or equivalent
  • 8 GB of RAM
  • 10 GB of free disk space

Supported Platforms (x86/x64)

  • Windows 11, 10, 8.1, 8, 7 (with SP1 or later), Vista, XP (with SP2 or later), XP (with SP3 or later)
  • Windows Server 2022, 2019, 2016, 2012 R2, 2012, 2008 R2 (with SP1 or later)

Requirements

  • Administrative rights on the local computer


How can I leave my Feedback?

EMCO Software always takes care of its customers, and your opinion means a lot to us. For this reason, our programs have built-in features for your feedback. You can suggest a feature you want to see in new program versions or report a technical problem you have faced using the program. Specifying your contact information on the feedback forms ensures that you will be informed of any changes with regard to the reported issue, our plans for implementing the suggested feature or fixing the reported bug. Those actions can be found in the Feedback Ribbon group of the Program page.

Suggest a Feature

Suggest a Feature

The Suggest a Feature button from the Feedback Ribbon group should be used to suggest a functionality you would like to see in the next versions of UnLock IT.

UnLock IT comes with a wide range of features, but if you feel some functionality is missing, you can always suggest a new feature to us that you want to see in the program. To suggest a new feature, you should press the Suggest a Feature button from the Feedback Ribbon group. After pressing this button, you will see the Feature Suggestion dialog [image] on the screen where you are offered to enter your contact information and describe your suggestion.

The feature suggestion form

Pic 1. The feature suggestion form

Press Send when you are done with filling out the form to send your suggestion.

Report a Problem

Report a Problem

The Report a Problem button should be used to report a problem you have faced while working with UnLock IT.

UnLock IT is easy to use and very stable. Nevertheless, if you have faced any difficulty or problem while working with it, you can send us a problem report. To send such a report, you should press the Report a Problem button from the Feedback Ribbon group. When this button is pressed, the Problem Report dialog [image] will appear on the screen where you are offered to enter your contact information and describe your problem.

The problem report form

Pic 2. The problem report form

In the Environment field, you can provide us with a description of the specific environment used while working with the program. Press Send when you are done with filling out the form to send your report.

Do not hesitate to contact EMCO Software - we are always glad to receive your feedback and are doing our best to satisfy our customers' preferences.


About EMCO Software

EMCO creates mission-critical software to manage network computers remotely and automate network administration.

Our company was founded in 2001 in Reykjavik, Iceland. Managing Windows networks as network administrators, we could not find tools that would help us automate our routine network administration tasks, so we decided to create such tools for fellow administrators and ourselves.

Today we offer innovative software that help IT specialists and network administrators to automate their Windows network management tasks. Our software tools are focused on remote management of Windows computers across networks and allow administrators to perform routine tasks on all managed computers with a few mouse clicks. We automate software audit and deployment, power management, hosts monitoring and other computer administration tasks.

Learn more: http://emcosoftware.com.

Our Customers

Being suitable for managing networks of any size, our products cater to the needs of 25,000+ customers in 85 countries around the globe. They are Fortune 100 corporations and small businesses, as well as governments, military institutions, universities, public schools, libraries and charities.

Our customers rely on EMCO products for managing their mission-critical network infrastructure. Using our products, network administrators monitor, audit, deploy and manage 3,000,000+ network devices every day.


Contact Information

We would be glad to help you with any questions and problems you might have. Use the contact information below.

Contact Sales | Contact Support
Our sales team is standing by to answer your questions about purchasing or licensing EMCO products. Submit a request, send us an e-mail or call us: Contact Sales. | Our support team is here to help you with any technical product-related issues you may have. We provide free technical support for all our products, including freeware. Submit a request or send us an e-mail: Contact Support.